Symfony 2 - upgrade intl extension newer uci

Installation and environment issues, mainly on 1.x but there's some 2.x here too.

Symfony 2 - upgrade intl extension newer uci

Postby guizmo_b » Fri Jun 17, 2011 6:04 pm

Hi,

First sorry for my english, I will do my best to be understandable.
I'm trying to install Symfony 2 with Wamp 2.1e. I got this message : "Upgrade your intl extension with a newer ICU version (4+).". I know this is just a recommendation but as a beginner with Symfony 2 I would like to do it well! I tried download new uci dll but when I replaced it, Symfony tells me that intl is not activated. I'd copy/paste the files from php to apache folder. The problem is I just don't know how to install the version of th uci's files. If anyone know how to do it or if someone had the same problem, please I need help! =)

Thanx for your help.
guizmo_b
Junior Member
 
Posts: 1
Joined: Fri Jun 17, 2011 5:50 pm

Re: Symfony 2 - upgrade intl extension newer uci

Postby conrarde » Mon Jul 04, 2011 7:51 pm

Hello,

I got the same problem. Apache uses icu38 and we need to install icu40 or newer. I got all .dll here : http://downloads.php.net/pierre/icu461.zip but I don't know what I have to do with files. (Put them in the php(5.4) dir instead of icu38xx.dll doesn't work).

I use symfonyRC3 on win7,

(I don't have this problem with the symfony2 beta5).

regards,
conrarde
Junior Member
 
Posts: 2
Joined: Wed May 25, 2011 3:54 pm

Re: Symfony 2 - upgrade intl extension newer uci

Postby Einarsson » Sat Jul 30, 2011 10:57 pm

Shameful bump.

Got this problem aswell on wampserver. ;(

Maybe I should just ignore it for now.
Einarsson
Junior Member
 
Posts: 4
Joined: Mon Mar 21, 2011 8:06 pm

Re: Symfony 2 - upgrade intl extension newer uci

Postby elvex » Sun Jul 31, 2011 5:19 pm

Bump too !

WampServer with PHP 5.3.5, Apache 2.2.17, Symfony 2 RC6

When I try to replace C:\wamp\bin\php\php5.3.5\icu*36.dll files by icu4c-4_8_1-Win32-msvc10.zip\icu\bin\icu*48.dll, I return to a message telling me to "Install and enable the intl extension."
elvex
Junior Member
 
Posts: 5
Joined: Thu Feb 17, 2011 11:43 am

Re: Symfony 2 - upgrade intl extension newer uci

Postby stealth35 » Sun Jul 31, 2011 7:56 pm

Hi guys there are three ways for doing this :
  • wait PHP 5.3.7 (very soon)
  • copy ICU dll and php_intl.dll ext from the 5.3.7 RC
  • compile your own php_intl.dll with the ICU version of your choice
PHP 5.3.7 has ICU 4.2.0.1

;)

EDIT : new PHP 5.3.8 have ICU 4.6
stealth35
Junior Member
 
Posts: 2
Joined: Sun Jul 31, 2011 7:49 pm

Re: Symfony 2 - upgrade intl extension newer uci

Postby caponica » Mon Jun 03, 2013 7:58 pm

On WAMPserver COPY the icuXX.dll files (all 16 of them, with and without the version numbers) from the wamp\bin\php\php5.x directory to the wamp\bin\apache\apache2.x\bin directory.

You need to COPY (not move) them so that you can access them from both the command line (php app/console ...) and the website.

I hope that works for you - it represents the fruits of more than an hour's messing around for me!

I now have intl-1.1.0 working with ICU-4.6.1 and Symfony is happy (so I'm happy too). :)

(By the way, shouldn't this have been posted on the Symfony2 board instead of the sf1 board?)
User avatar
caponica
Senior Member
 
Posts: 118
Joined: Mon Mar 17, 2008 11:25 am
Location: London


Return to Installation and setup

Who is online

Users browsing this forum: No registered users and 2 guests